<!-- mall 商品分类 -->
<template>
  <div class="mainBox">
    <zw-search-bar class="search" />
    <!-- <van-search @click="show=true" class="search" disabled placeholder="请输入关键字" v-model="search" /> -->
    <div class="flex contentBox">
      <van-sidebar id="contentBoxL" v-model="activeKey" class="contentBox-l">
        <van-sidebar-item @click="clickMenu" v-for="item in dataList" :key="item.id" :title="item.name" />
      </van-sidebar>
      <div class="flex-1 bgfff contentBox-l cf " id="contentBoxR">
        <div @click="clickClass(item)" class="fl contentBox_item" v-for="item in dataListItems" :key="item.id">
          <img :src="item.image_url" alt="">
          <div>{{item.name}}</div>
        </div>
      </div>

    </div>

  

  </div>
</template>

<script>
import zwSearchBar from '@/components/zwSearchBar'

export default {
  name: 'mall',
  components: {  zwSearchBar },
  data() {
    return {
      search: '',
      activeKey: 0,
      dataList: [],
      contentBoxLTop: 0,
      contentBoxRTop: 0,
      show: false

    }
  },
  created() {
    //this.init()
    this.m_loading()
  },

  beforeRouteLeave(to, form, next) {
    this.contentBoxRTop = document.getElementById('contentBoxR').scrollTop
    this.contentBoxLTop = document.getElementById('contentBoxL').scrollTop
    next()
  },

  activated() {
    document.getElementById('contentBoxR').scrollTop = this.contentBoxRTop
    document.getElementById('contentBoxL').scrollTop = this.contentBoxLTop
    this.init()

  },

  computed: {
    dataListItems() {
      let items = this.dataList[this.activeKey] || {}
      return items.children || []
    }
  },
  methods: {
    //初始化方法
    init() {
      this.getDataList()
    },


    getDataList() {
      //this.m_loading()
      this.api.goods_category().then(res => {
        this.m_hideLoading()
        this.dataList = res.data

      })
    },

    clickClass(item) {
      console.log(item)
      this.$router.push(`/goodsList?cid=${item.id}&name=${item.name}`)

    },

    //点击分类
    clickMenu() {
      this.$nextTick(() => {
        let contentBoxR = document.getElementById('contentBoxR')
        contentBoxR.scrollTop = 0
      })
    },

  },
}

</script>
<style lang='scss' scoped>
.search {
  position: fixed;
  width: 100%;
  z-index: 99;
}
.mainBox {
  height: 100%;
  overflow: hidden;
}
.contentBox {
  height: 100%;
  padding-top: 1rem;

  box-sizing: border-box;
}
.contentBox-l {
  height: 100%;
  overflow: auto;
  -webkit-overflow-scrolling:touch
}

.contentBox_item {
  width: 33.33%;
  text-align: center;
  padding-top: 0.1rem;
  padding-bottom: 0.1rem;
  img {
    display: block;
    width: 1.4rem;
    height: 1.4rem;
    margin: 0.1rem auto;
  }
}
</style>


<style lang='scss' >
.contentBox{
  .van-sidebar-item{
    padding: 0.25rem 0.24rem 0.25rem 0.16rem;
    background: #f2f2f2;
  }
  .van-sidebar-item--select{
     background: #fff !important;
  }
}
</style>